﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Pdf.Security;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.Pdf.Interactive;
using System.IO;

namespace ConsoleApplication1
{
    class Program
    {
        public static string DataPathBase
        {
            get
            {

                return System.Environment.CurrentDirectory + @"\..\..\Data\";

            }
        }
        public static string DataPathOutput
        {
            get
            {
                if (!System.IO.Directory.Exists(System.Environment.CurrentDirectory + @"\..\..\Output\"))
                    System.IO.Directory.CreateDirectory(System.Environment.CurrentDirectory + @"\..\..\Output\");
                return System.Environment.CurrentDirectory + @"\..\..\Output\";
            }
        }
        static void Main(string[] args)
        {
           Sample();
        }

        static void Sample()
        {
            //Create a new PDF document.
            PdfDocument doc = new PdfDocument();

            doc.PageSettings.Orientation = PdfPageOrientation.Landscape;

            //Add a page to the document.
            PdfPage page = doc.Pages.Add();

            //Create PDF graphics for the page
            PdfGraphics graphics = page.Graphics;

            //Load the image from the disk.
            PdfBitmap image = new PdfBitmap(DataPathBase+"Autumn Leaves.jpg");

            SizeF pageSize = page.GetClientSize();

            //Setting image bounds
            RectangleF imageBounds = new RectangleF(0, 0, pageSize.Width, pageSize.Height);

            //Draw the image
            graphics.DrawImage(image, imageBounds);

            //Save the document.
            doc.Save(DataPathOutput+"Output.pdf");

            //Close the document.
            doc.Close(true);

            System.Diagnostics.Process.Start(System.IO.Path.Combine(DataPathOutput, "Output.pdf"));


        }


       }
}
